<Project Sdk="Microsoft.NET.Sdk">

    
    <PropertyGroup>
        <TargetFramework>net7.0</TargetFramework>
        <RootNamespace>BBM.ChatGLM</RootNamespace>
    </PropertyGroup>

    <ItemGroup>
        <ProjectReference Include="..\BBM.ChatGLM.Domain\BBM.ChatGLM.Domain.csproj" />
        <PackageReference Include="Lion.AbpPro.BasicManagement.EntityFrameworkCore" />
        <PackageReference Include="Lion.AbpPro.NotificationManagement.EntityFrameworkCore" />
        <PackageReference Include="Lion.AbpPro.DataDictionaryManagement.EntityFrameworkCore" />
    </ItemGroup>
    <ItemGroup>
        <PackageReference Include="Microsoft.EntityFrameworkCore.Tools">
            <IncludeAssets>runtime; build; native; contentfiles; analyzers</IncludeAssets>
            <PrivateAssets>compile; contentFiles; build; buildMultitargeting; buildTransitive; analyzers; native</PrivateAssets>
        </PackageReference>
        <PackageReference Include="Volo.Abp.EntityFrameworkCore.PostgreSql" Version="7.1.1" />
    </ItemGroup>
    <ItemGroup>
      <Folder Include="Migrations\" />
    </ItemGroup>
</Project>
